Tools
List tools
GET/tools
Custom tools only. Built-in tools are switched on per assistant under config.builtin.
#Example request
curl https://app.bluepenguin.io/api/v1/tools \
-H "Authorization: Bearer $BLUEPENGUIN_KEY"const r = await fetch('https://app.bluepenguin.io/api/v1/tools', {
method: 'GET',
headers: {
authorization: `Bearer ${process.env.BLUEPENGUIN_KEY}`,
},
})
const data = await r.json()import os, requests
r = requests.get(
"https://app.bluepenguin.io/api/v1/tools",
headers={"Authorization": f"Bearer {os.environ['BLUEPENGUIN_KEY']}"},
)
data = r.json()#Example response
200 OK
[
{
"id": 7,
"name": "check_order",
"kind": "code",
"description": "Look up an order by its number"
}
]#Errors
| Status | When |
|---|---|
401 | Missing or invalid API key. |
429 | More than 240 requests a minute on this key. |